Package be.fgov.ehealth.daas.complextype.v1

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.daas.complextype.v1.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.daas.complextype.v1 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.daas.complextype.v1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Actor`
  `createActor()`
  Create an instance of `Actor`
  `jakarta.xml.bind.JAXBElement<Actor>`
  `createActorActor(Actor value)`
  Create an instance of `JAXBElement``<``Actor``>`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createActorFirstName(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `jakarta.xml.bind.JAXBElement<TypeCodeType>`
  `createActorId(TypeCodeType value)`
  Create an instance of `JAXBElement``<``TypeCodeType``>`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createActorLastName(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createActorMiddleName(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `jakarta.xml.bind.JAXBElement<Name>`
  `createActorName(Name value)`
  Create an instance of `JAXBElement``<``Name``>`
  `jakarta.xml.bind.JAXBElement<PeriodType>`
  `createActorPeriod(PeriodType value)`
  Create an instance of `JAXBElement``<``PeriodType``>`
  `BaseNameType`
  `createBaseNameType()`
  Create an instance of `BaseNameType`
  `Context`
  `createContext()`
  Create an instance of `Context`
  `Destination`
  `createDestination()`
  Create an instance of `Destination`
  `jakarta.xml.bind.JAXBElement<String>`
  `createDestinationId(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `jakarta.xml.bind.JAXBElement<String>`
  `createDestinationQuality(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `Destinations`
  `createDestinations()`
  Create an instance of `Destinations`
  `jakarta.xml.bind.JAXBElement<String>`
  `createDestinationType(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `jakarta.xml.bind.JAXBElement<Instant>`
  `createEndDate(Instant value)`
  Create an instance of `JAXBElement``<``Instant``>`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createId(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `Name`
  `createName()`
  Create an instance of `Name`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createQuality(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `RoutingInformation`
  `createRoutingInformation()`
  Create an instance of `RoutingInformation`
  `jakarta.xml.bind.JAXBElement<Instant>`
  `createStartDate(Instant value)`
  Create an instance of `JAXBElement``<``Instant``>`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createType(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `TypeCodeType`
  `createTypeCodeType()`
  Create an instance of `TypeCodeType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.daas.complextype.v1

- ## Method Details

  - ### createName

    public Name createName()
    Create an instance of `Name`
    Returns:
      the new instance of `Name`

  - ### createBaseNameType

    public BaseNameType createBaseNameType()
    Create an instance of `BaseNameType`
    Returns:
      the new instance of `BaseNameType`

  - ### createActor

    public Actor createActor()
    Create an instance of `Actor`
    Returns:
      the new instance of `Actor`

  - ### createTypeCodeType

    public TypeCodeType createTypeCodeType()
    Create an instance of `TypeCodeType`
    Returns:
      the new instance of `TypeCodeType`

  - ### createDestination

    public Destination createDestination()
    Create an instance of `Destination`
    Returns:
      the new instance of `Destination`

  - ### createContext

    public Context createContext()
    Create an instance of `Context`
    Returns:
      the new instance of `Context`

  - ### createRoutingInformation

    public RoutingInformation createRoutingInformation()
    Create an instance of `RoutingInformation`
    Returns:
      the new instance of `RoutingInformation`

  - ### createDestinations

    public Destinations createDestinations()
    Create an instance of `Destinations`
    Returns:
      the new instance of `Destinations`

  - ### createId

    public jakarta.xml.bind.JAXBElement<Object> createId(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createType

    public jakarta.xml.bind.JAXBElement<Object> createType(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createQuality

    public jakarta.xml.bind.JAXBElement<Object> createQuality(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createStartDate

    public jakarta.xml.bind.JAXBElement<Instant> createStartDate(Instant value)
    Create an instance of `JAXBElement``<``Instant``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Instant``>`

  - ### createEndDate

    public jakarta.xml.bind.JAXBElement<Instant> createEndDate(Instant value)
    Create an instance of `JAXBElement``<``Instant``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Instant``>`

  - ### createActorId

    public jakarta.xml.bind.JAXBElement<TypeCodeType> createActorId(TypeCodeType value)
    Create an instance of `JAXBElement``<``TypeCodeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TypeCodeType``>`

  - ### createActorLastName

    public jakarta.xml.bind.JAXBElement<Object> createActorLastName(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createActorName

    public jakarta.xml.bind.JAXBElement<Name> createActorName(Name value)
    Create an instance of `JAXBElement``<``Name``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Name``>`

  - ### createActorPeriod

    public jakarta.xml.bind.JAXBElement<PeriodType> createActorPeriod(PeriodType value)
    Create an instance of `JAXBElement``<``PeriodType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PeriodType``>`

  - ### createActorActor

    public jakarta.xml.bind.JAXBElement<Actor> createActorActor(Actor value)
    Create an instance of `JAXBElement``<``Actor``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Actor``>`

  - ### createActorFirstName

    public jakarta.xml.bind.JAXBElement<Object> createActorFirstName(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createActorMiddleName

    public jakarta.xml.bind.JAXBElement<Object> createActorMiddleName(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createDestinationId

    public jakarta.xml.bind.JAXBElement<String> createDestinationId(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createDestinationType

    public jakarta.xml.bind.JAXBElement<String> createDestinationType(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createDestinationQuality

    public jakarta.xml.bind.JAXBElement<String> createDestinationQuality(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`